package com.zcloud.primeport.domain.enums;

public enum AuditEnum {
//    1:审核中;2审核通过; 3：审核驳回，4无需审批（检查部门车辆）
    WAITING(1, "Waiting"),
    APPROVED(2, "Approved"),
    NO_APPROVAL_REQUIRED(4, "NO_APPROVAL_REQUIRED"),
    REJECTED(3, "Rejected");

    private final int code;
    private final String description;

    AuditEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
